#include <iostream>
using namespace std;
 
int main() {
   
    int N = 0;
    int M = 0;
    int matrix[100][100]; 
    int rav;

    while (M < 2) {
        cout << "Введите количество столбцов (не менее 2): ";
        cin >> M;
    }

    while (N < 2) {
        cout << "Введите количество строк (не менее 2): ";
        cin >> N;
    }
    
     for (int i = 0; i < N; ++i) {
        for (int j = 0; j < M; ++j) {
            cout << "Номер числа в массиве[" << i << "][" << j << "] = ";
            cin >> matrix[i][j];
        }
    }

    for (int i = 0; i < N; ++i) {
        for (int j = 0; j < M; ++j) {
            if (matrix[i][j] == matrix[j][i]){
                rav+=1;
            }
        }
    }

    if (rav == (N*M)){
        cout << "Da" << endl;
    }
    else {
        cout << "Net" << endl;
    }
}